Subject: Re: bug#34256: 27.0.50; Crash on draw_glyphs()

From: Kaushal Modi <[email-masked]>
Date: Wed, 30 Jan 2019 11:35:32 -0500

On Wed, Jan 30, 2019 at 11:16 AM Eli Zaretskii <[email-masked]> wrote:

>
> Do you strip Emacs when you install it?  If so, please don't, because
> when you strip the debugging symbols, you lose the capability of
> giving us any useful information about the crash.
>

Understood. I built that emacs with -O2 and without "
--enable-checking='yes,glyphs' --enable-check-lisp-object-type" as it's my
daily driver version.

> If you can reproduce this problem, please post the recipe; otherwise I
> don't see how this could be of any use.  Too bad.
>

I'll work on getting a recipe.

Why isn't there a -g3 in the compiler switches?  AFAIK, the default
> configuration supplies it.

Yes, I did not add that switch; I do that in my debug builds.

>   Did you specify CFLAGS at configure time?
> If so, please add -g3 to the switches, and I suggest to use -Og,
> not -O2, for better debuggability.
>

Will do.

Did you merge the harfbuzz branch with master, so there's no pdumper
> in your build?

Actually, sorry for that confusion. I realized that I had the
--with-harfbuff switch since when I tried the harfbuff branch, but forgot
to remove that from my build script.

> If not, why do I see CANNOT_DUMP in the list of
> features?
>

This was built using the latest master (i.e. with pdumper and no harfbuzz).

I'll try to get a recipe.